Bug 240927 - Amarok crashes sometimes when editting APG [@ConstraintTypes::TagMatch::matches]
Summary: Amarok crashes sometimes when editting APG [@ConstraintTypes::TagMatch::matc...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Automated Playlist Generator (show other bugs)
Version: 2.4.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 244115 246933 282629 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-06-06 20:05 UTC by Pieter Botha
Modified: 2011-10-16 10:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter Botha 2010-06-06 20:05:39 UTC
Application: amarok (2.3.1)
KDE Platform Version: 4.4.3 (KDE 4.4.3)
Qt Version: 4.6.2
Operating System: Linux 2.6.31.12-0.2-desktop x86_64
Distribution: "openSUSE 11.2 (x86_64)"

-- Information about the crash:
What I was doing:
Playing an mp3 using a custom (copy from verbose with title only) playlist view
I then switched on APG
I then started editting the APG that was being played and added & removed groups.
At last I added a "added within the last X to collection" tag to a group and moved the fuzzy bar


The crash can be reproduced some of the time.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa7357e6780 (LWP 3693))]

Thread 19 (Thread 0x7fa71c8a3910 (LWP 3746)):
#0  0x00007fa730e8f2cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229d4671 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fa71b14d910 (LWP 3747)):
#0  0x00007fa732805d03 in poll () from /lib64/libc.so.6
#1  0x00007fa72b37959c in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fa72b3798e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fa733de8f06 in QEventDispatcherGlib::processEvents (this=0x873db0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fa733dbe2a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fa733dbe67c in QEventLoop::exec (this=0x7fa71b14cfc0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fa733cc8d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fa722c2f3f4 in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fa733ccb775 in QThreadPrivate::start (arg=0x8ce330) at thread/qthread_unix.cpp:248
#9  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#10 0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fa71a742910 (LWP 3748)):
#0  0x00007fa732805d03 in poll () from /lib64/libc.so.6
#1  0x00007fa71a748c4e in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.28/xineplug_ao_out_alsa.so
#2  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fa719f41910 (LWP 3749)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229e5713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fa719129910 (LWP 3750)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229e5713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fa718928910 (LWP 3751)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229e5713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fa70dd8f910 (LWP 3819)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa72dd38656 in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/libQtWebKit.so.4
#2  0x00007fa72dd38699 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#3  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fa70c7d7910 (LWP 3820)):
[KCrash Handler]
#5  same_key (key0=<value optimized out>, h0=<value optimized out>, this=<value optimized out>) at /usr/include/QtCore/qhash.h:225
#6  QHash<KSharedPtr<Meta::Track>, bool>::findNode (key0=<value optimized out>, h0=<value optimized out>, this=<value optimized out>) at /usr/include/QtCore/qhash.h:880
#7  0x00007fa734991da9 in contains (akey=<value optimized out>, this=<value optimized out>) at /usr/include/QtCore/qhash.h:867
#8  ConstraintTypes::TagMatch::matches (akey=<value optimized out>, this=<value optimized out>) at /usr/src/debug/amarok-2.3.1/src/playlistgenerator/constraints/TagMatch.cpp:562
#9  0x00007fa734992abd in ConstraintTypes::TagMatch::deltaS_insert (this=0x1b21dd0, tl=..., t=) at /usr/src/debug/amarok-2.3.1/src/playlistgenerator/constraints/TagMatch.cpp:309
#10 0x00007fa7349915c0 in ConstraintTypes::TagMatch::insertTrack (this=0x1b21dd0, tl=..., t=<value optimized out>, i=1)
    at /usr/src/debug/amarok-2.3.1/src/playlistgenerator/constraints/TagMatch.cpp:350
#11 0x00007fa7349762ef in APG::ConstraintTester::testConstraint (this=0x34c5e30, name=<value optimized out>, c=0x1b21dd0) at /usr/src/debug/amarok-2.3.1/src/playlistgenerator/ConstraintTester.cpp:295
#12 0x00007fa734977709 in APG::ConstraintTester::run (this=<value optimized out>) at /usr/src/debug/amarok-2.3.1/src/playlistgenerator/ConstraintTester.cpp:112
#13 0x00007fa72f90eefd in ThreadWeaver::JobRunHelper::runTheJob (this=0x7fa70c7d6f90, th=0x193c300, job=0x34c5e30) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Job.cpp:106
#14 0x00007fa72f90f03e in ThreadWeaver::Job::execute (this=0x34c5e30, th=0x193c300) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Job.cpp:135
#15 0x00007fa72f90beaf in ThreadWeaver::ThreadRunHelper::run (this=0x7fa70c7d7020, parent=0x193b040, th=0x193c300) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:95
#16 0x00007fa72f90d748 in ThreadWeaver::Thread::run (this=0x193c300) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:142
#17 0x00007fa733ccb775 in QThreadPrivate::start (arg=0x193c300) at thread/qthread_unix.cpp:248
#18 0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#19 0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#20 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fa70bfd6910 (LWP 3821)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa733ccc72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fa72f90f786 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x193b040, th=0x7fa700001a50) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa72f910b6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x193abe0, th=0x7fa700001a50) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa72f910b84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x193abe0, th=0x7fa700001a50) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fa72f90bedf in ThreadWeaver::ThreadRunHelper::run (this=0x7fa70bfd6020, parent=0x193b040, th=0x7fa700001a50) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fa72f90d748 in ThreadWeaver::Thread::run (this=0x7fa700001a50) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fa733ccb775 in QThreadPrivate::start (arg=0x7fa700001a50) at thread/qthread_unix.cpp:248
#9  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#10 0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fa707e14910 (LWP 3865)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa733ccc72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fa72f90f786 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x193b040, th=0x2016020) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa72f910b6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x193abe0, th=0x2016020) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa72f90bedf in ThreadWeaver::ThreadRunHelper::run (this=0x7fa707e14020, parent=0x193b040, th=0x2016020) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa72f90d748 in ThreadWeaver::Thread::run (this=0x2016020) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa733ccb775 in QThreadPrivate::start (arg=0x2016020) at thread/qthread_unix.cpp:248
#8  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#9  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fa706a02910 (LWP 3868)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa733ccc72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fa72f90f786 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x193b040, th=0x1868340) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa72f910b6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x193abe0, th=0x1868340) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa72f910b84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x193abe0, th=0x1868340) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fa72f910b84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x193abe0, th=0x1868340) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fa72f90bedf in ThreadWeaver::ThreadRunHelper::run (this=0x7fa706a02020, parent=0x193b040, th=0x1868340) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:87
#8  0x00007fa72f90d748 in ThreadWeaver::Thread::run (this=0x1868340) at /usr/src/debug/kdelibs-4.4.3/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fa733ccb775 in QThreadPrivate::start (arg=0x1868340) at thread/qthread_unix.cpp:248
#10 0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#11 0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa7061f9910 (LWP 3869)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa72f1686a6 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007fa72f1686e9 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa6ebf68910 (LWP 6229)):
#0  0x00007fa730e8f2cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229dfe69 in interruptable_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fa7229e2621 in video_out_loop () from /usr/lib64/libxine.so.1
#3  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa6ec769910 (LWP 6230)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229d7f3b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007fa7229ddfcd in video_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa6ead59910 (LWP 6231)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229d7f3b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007fa7229df055 in audio_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa6ea558910 (LWP 6232)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa7229e883b in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x00007fa7229e88ae in listener_loop () from /usr/lib64/libxine.so.1
#3  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa6e5c49910 (LWP 11901)):
#0  0x00007fa730e8f049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa733ccc72b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fa73367f1be in ?? () from /usr/lib64/libQtGui.so.4
#4  0x00007fa733ccb775 in QThreadPrivate::start (arg=0x2982558) at thread/qthread_unix.cpp:248
#5  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa6e5448910 (LWP 11902)):
#0  0x00007fa732805d03 in poll () from /lib64/libc.so.6
#1  0x00007fa72b37959c in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fa72b3798e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fa733de8f06 in QEventDispatcherGlib::processEvents (this=0x2f924e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007fa733dbe2a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fa733dbe67c in QEventLoop::exec (this=0x7fa6e5447fd0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fa733cc8d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fa733d9e9d8 in QInotifyFileSystemWatcherEngine::run (this=0x148eef0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fa733ccb775 in QThreadPrivate::start (arg=0x148eef0) at thread/qthread_unix.cpp:248
#9  0x00007fa730e8a65d in start_thread () from /lib64/libpthread.so.0
#10 0x00007fa73280ee1d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa7357e6780 (LWP 3693)):
#0  0x00007fa732805d03 in poll () from /lib64/libc.so.6
#1  0x00007fa729dd091a in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fa729dd0e57 in ?? () from /usr/lib64/libxcb.so.1
#3  0x00007fa729dd1115 in xcb_writev () from /usr/lib64/libxcb.so.1
#4  0x00007fa731dd003a in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007fa731dd0179 in _XReply () from /usr/lib64/libX11.so.6
#6  0x00007fa731dc59ad in XTranslateCoordinates () from /usr/lib64/libX11.so.6
#7  0x00007fa7332193ee in QWidget::mapFromGlobal(QPoint const&) const () from /usr/lib64/libQtGui.so.4
#8  0x00007fa733219452 in QWidget::mapFromGlobal(QPoint const&) const () from /usr/lib64/libQtGui.so.4
#9  0x00007fa733219452 in QWidget::mapFromGlobal(QPoint const&) const () from /usr/lib64/libQtGui.so.4
#10 0x00007fa733219452 in QWidget::mapFromGlobal(QPoint const&) const () from /usr/lib64/libQtGui.so.4
#11 0x00007fa733219452 in QWidget::mapFromGlobal(QPoint const&) const () from /usr/lib64/libQtGui.so.4
#12 0x00007fa733219452 in QWidget::mapFromGlobal(QPoint const&) const () from /usr/lib64/libQtGui.so.4
#13 0x00007fa733182c62 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#14 0x00007fa7352aa4e6 in KApplication::notify (this=0x7fffbf1e88c0, receiver=0x2cad5e0, event=0x7fffbf1e6460) at /usr/src/debug/kdelibs-4.4.3/kdeui/kernel/kapplication.cpp:302
#15 0x00007fa733dbf98c in QCoreApplication::notifyInternal (this=0x7fffbf1e88c0, receiver=0x2cad5e0, event=0x7fffbf1e6460) at kernel/qcoreapplication.cpp:704
#16 0x00007fa733181db6 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#17 0x00007fa733201765 in ?? () from /usr/lib64/libQtGui.so.4
#18 0x00007fa73320047a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007fa73322a932 in ?? () from /usr/lib64/libQtGui.so.4
#20 0x00007fa72b375dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#21 0x00007fa72b3797b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#22 0x00007fa72b3798e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#23 0x00007fa733de8eb3 in QEventDispatcherGlib::processEvents (this=0x6253b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#24 0x00007fa73322a51e in ?? () from /usr/lib64/libQtGui.so.4
#25 0x00007fa733dbe2a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#26 0x00007fa733dbe67c in QEventLoop::exec (this=0x7fffbf1e70b0, flags=) at kernel/qeventloop.cpp:201
#27 0x00007fa73364321e in QDialog::exec() () from /usr/lib64/libQtGui.so.4
#28 0x00007fa73498043e in APG::PresetModel::editPreset (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/amarok-2.3.1/src/playlistgenerator/PresetModel.cpp:138
#29 0x00007fa734980505 in APG::PresetModel::edit (this=0x1a17180) at /usr/src/debug/amarok-2.3.1/src/playlistgenerator/PresetModel.cpp:128
#30 0x00007fa7346bb5e0 in APG::PresetModel::qt_metacall (this=0x1a17180, _c=InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbf1e72c0)
    at /usr/src/debug/amarok-2.3.1/build/src/moc_PresetModel.cpp:91
#31 0x00007fa733dd278f in QMetaObject::activate (sender=0x1a6bf10, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#32 0x00007fa733175d12 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#33 0x00007fa733177d8b in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#34 0x00007fa73352f82a in ?? () from /usr/lib64/libQtGui.so.4
#35 0x00007fa73352fadc in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#36 0x00007fa7335fba0a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#37 0x00007fa7331d2172 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#38 0x00007fa73317be1c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#39 0x00007fa733182bdb in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#40 0x00007fa7352aa4e6 in KApplication::notify (this=0x7fffbf1e88c0, receiver=0x19f3ad0, event=0x7fffbf1e7c10) at /usr/src/debug/kdelibs-4.4.3/kdeui/kernel/kapplication.cpp:302
#41 0x00007fa733dbf98c in QCoreApplication::notifyInternal (this=0x7fffbf1e88c0, receiver=0x19f3ad0, event=0x7fffbf1e7c10) at kernel/qcoreapplication.cpp:704
#42 0x00007fa733181db6 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#43 0x00007fa733201765 in ?? () from /usr/lib64/libQtGui.so.4
#44 0x00007fa73320047a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#45 0x00007fa73322a932 in ?? () from /usr/lib64/libQtGui.so.4
#46 0x00007fa72b375dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#47 0x00007fa72b3797b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#48 0x00007fa72b3798e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#49 0x00007fa733de8eb3 in QEventDispatcherGlib::processEvents (this=0x6253b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#50 0x00007fa73322a51e in ?? () from /usr/lib64/libQtGui.so.4
#51 0x00007fa733dbe2a2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#52 0x00007fa733dbe67c in QEventLoop::exec (this=0x7fffbf1e8860, flags=) at kernel/qeventloop.cpp:201
#53 0x00007fa733dc23cb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#54 0x0000000000408732 in main (argc=3, argv=0x7fffbf1ea838) at /usr/src/debug/amarok-2.3.1/src/main.cpp:237

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-08-07 01:17:19 UTC
*** Bug 246933 has been marked as a duplicate of this bug. ***
Comment 2 Myriam Schweingruber 2010-08-07 01:17:48 UTC
Confirmed by duplicate.
Comment 3 Soren Harward 2010-08-10 00:52:54 UTC
This one is unlikely to get fixed in 2.3.2.  It's a KSharedPtr and Qt bug, not an Amarok bug (look at thread 12), and I doubt I'll have it tracked down and fixed by then.  It may not even be fixable within Amarok.
Comment 4 Soren Harward 2010-08-10 00:55:26 UTC
*** Bug 244115 has been marked as a duplicate of this bug. ***
Comment 5 Soren Harward 2010-08-10 01:00:48 UTC
Those of you who reported this bug or one of its duplicates, I need to know *EXACTLY* what version of Qt *AND* kdelibs you are using, or were using when this crash happened.  Since the problem is in Qt and/or kdelibs, I cannot start tracking it down without this information.
Comment 6 p92 2010-08-10 12:39:13 UTC
ii  libqtcore4                            4:4.6.3-0ubuntu1  
ii  kdelibs5                              4:4.4.5-0ubuntu1~lucid1~ppa1
Comment 7 Mike Lerley 2010-08-11 14:47:18 UTC
ii  libqtcore4            4:4.6.2-0ubuntu5
ii  kdelibs5              4:4.4.2-0ubuntu4
Comment 8 Myriam Schweingruber 2011-09-24 10:05:12 UTC
*** Bug 282629 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2011-10-11 11:16:18 UTC
Could somebody please test with a newer KDE and Amarok version?
Comment 10 Soren Harward 2011-10-15 18:19:54 UTC
Git commit 98b561e2b738b55e3b9d94b4e6c6cd28f73261c6 by Soren Harward.
Committed on 30/09/2011 at 17:24.
Pushed by stharward into branch 'master'.

Overhaul of Automated Playlist Generator algorithm

Completely rewrote the ConstraintSolver to use a genetic algorithm
rather than simulated annealing.  This trades off some speed for a vast
reduction in the amount of code needed to write individual constraints,
and makes the whole component less prone to crashing.

BUG: 240927
BUG: 240301

M  +4    -0    ChangeLog
M  +0    -3    src/CMakeLists.txt
M  +1    -14   src/browsers/playlistbrowser/APGCategory.cpp
M  +1    -1    src/browsers/playlistbrowser/APGCategory.h
M  +2    -2    src/playlistgenerator/Constraint.cpp
M  +1    -1    src/playlistgenerator/Constraint.h
M  +19   -270  src/playlistgenerator/ConstraintGroup.cpp
M  +9    -23   src/playlistgenerator/ConstraintGroup.h
M  +2    -8    src/playlistgenerator/ConstraintNode.cpp
M  +6    -23   src/playlistgenerator/ConstraintNode.h
M  +206  -209  src/playlistgenerator/ConstraintSolver.cpp
M  +34   -21   src/playlistgenerator/ConstraintSolver.h
D  +0    -55   src/playlistgenerator/ConstraintTestWrapper.cpp
D  +0    -44   src/playlistgenerator/ConstraintTestWrapper.h
D  +0    -335  src/playlistgenerator/ConstraintTester.cpp
D  +0    -85   src/playlistgenerator/ConstraintTester.h
M  +1    -1    src/playlistgenerator/Preset.cpp
M  +3    -3    src/playlistgenerator/TODO
M  +128  -188  src/playlistgenerator/constraints/Checkpoint.cpp
M  +20   -66   src/playlistgenerator/constraints/Checkpoint.h
D  +0    -321  src/playlistgenerator/constraints/CheckpointSupport.cpp
M  +1    -1    src/playlistgenerator/constraints/Matching.cpp
M  +5    -5    src/playlistgenerator/constraints/Matching.h
M  +18   -136  src/playlistgenerator/constraints/PlaylistDuration.cpp
M  +3    -22   src/playlistgenerator/constraints/PlaylistDuration.h
M  +14   -82   src/playlistgenerator/constraints/PlaylistLength.cpp
M  +4    -22   src/playlistgenerator/constraints/PlaylistLength.h
M  +74   -322  src/playlistgenerator/constraints/PreventDuplicates.cpp
M  +2    -94   src/playlistgenerator/constraints/PreventDuplicates.h
M  +6    -101  src/playlistgenerator/constraints/TagMatch.cpp
M  +2    -15   src/playlistgenerator/constraints/TagMatch.h
M  +1    -1    src/playlistgenerator/constraints/TagMatchComparer.cpp
M  +1    -1    src/playlistgenerator/constraints/TagMatchSupport.cpp
M  +25   -289  src/playlistgenerator/constraints/TrackSpreader.cpp
M  +6    -62   src/playlistgenerator/constraints/TrackSpreader.h

http://commits.kde.org/amarok/98b561e2b738b55e3b9d94b4e6c6cd28f73261c6